Subject: bug#70698: closed (Re: bug#70698: python-pivy build fails (freecad dependency))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 May 2024 12:19:02 +0000

Your bug report

#70698: python-pivy build fails (freecad dependency)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70698: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70698
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70698: python-pivy build fails (freecad dependency)
From: Guillaume Le Vaillant <[email-masked]>
To: Buttons Presser <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 May 2024 12:18:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed by <https://issues.guix.gnu.org/70957>.

Subject: python-pivy build fails (freecad dependency)
From: Buttons Presser <[email-masked]>
To: [email-masked]
Date: Wed, 01 May 2024 17:18:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix community,

My local python-pivy build fails and there is no longer a working substitute available.

The build log is attached (q806khpbab7n9nk9i6ynbfhm85gd48-python-pivy-0.6.5.drv.gz).

I suspect that python-pivy stoped building after recent patches to coin3d - https://issues.guix.gnu.org/70305

Looks like this is an issue with paths in the python-pivy install scripts (build phase: python setup.py). Specifically in its swig command which probably misses some paths to soqt and coin3D.

I was trying to fix and upgrade the python-pivy before because the current version  is 0.6.5 is old and some features of freecad was not working properly - https://issues.guix.gnu.org/70258. I guess there should be a patch to the python-pivy cmake config that can fix the paths to soqt and coin3D but I am not familiar with cmake and thus far did not find a solution.

Kind regards,
BP